import { Resource } from '../../Resource';
export class Trips extends Resource {
    constructor(api, env) {
        super(api, 'Trips', env);
        this.setResource({
            list: {
                method: 'GET',
                path: '/v1/vehicle/:tokenId/trips',
                queryParams: {
                    page: false
                },
                auth: 'vehicle_jwt'
            }
        });
    }
}
